> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Taxpayer

> Retrieve taxpayer information associated with an `access_token`.



## OpenAPI

````yaml GET /tax-payer
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /tax-payer:
    get:
      description: Retrieve taxpayer information associated with an `access_token`.
      responses:
        '200':
          description: Introspect Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxpayerResponse'
components:
  schemas:
    TaxpayerResponse:
      type: object
      properties:
        id:
          type: string
          example: clxjfvx74000f11di1uq2u8xm
          description: >-
            The Chart UUID of the taxpayer. Returned from the /auth/token
            endpoint.
        name:
          type: string
          example: Joe Doe
        metadata:
          type: object
          description: Custom metadata identifying external fields about the taxpayer.
        provider_id:
          type: string
          enum:
            - turbotax
            - hr
            - taxact
            - tax_slayer
            - jackson
            - free_tax_usa
            - irs
            - irs_tax_pro
            - pilot
            - cch_axcess
            - drake
            - proconnect
            - chart-sandbox
          example: irs-tax-pro
        created_at:
          type: string
          format: date-time
          example: '2024-06-17T20:40:03.965Z'
        status:
          type: string
          enum:
            - CREATED
            - CONSENT_RECEIVED
            - TAX_AUTHORIZATION_SUBMITTED
            - AUTHORIZED
            - REJECTED
            - COMPLETED
          example: TAX_AUTHORIZATION_SUBMITTED
        analysis:
          $ref: '#/components/schemas/TaxpayerAnalysis'
          description: >-
            Aggregated analysis of the taxpayer's tax situation across all tax
            records.
        details:
          type: object
          oneOf:
            - $ref: '#/components/schemas/IRSOnlineAccountDetails'
          description: Taxpayer's account details depending on the provider.
        form8821:
          type: string
          description: >-
            A pre-signed URL pointing to the raw IRS Form 8821 file retrieved
            from the provider. Returns a PDF file. The URL expires after 12
            hours.
      required:
        - id
        - name
        - provider_id
        - created_at
        - status
    TaxpayerAnalysis:
      type: object
      properties:
        total_liabilities:
          type: number
          example: '5000'
          description: The total tax liabilities of the taxpayer.
        liabilities_with_lien_filed:
          type: number
          example: '3000'
          description: >-
            The total tax liabilities of the taxpayer calculated for each year
            with a federal tax lien filed.
        tin:
          type: string
          example: '123456789'
          description: The TIN of the taxpayer.
        employment_history:
          type: array
          description: Historical employment records from W2s and wage and income documents
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - W2
                  - WAID-W2
                  - 1099NEC
                  - WAID-1099NEC
                description: Document type - W2 or Wage and Income Document
                example: WAID-W2
              year:
                type: string
                description: Tax year
                example: '2023'
              employer:
                type: object
                properties:
                  ein:
                    type: string
                    description: Employer Identification Number
                    example: XXXXX1234
                  name:
                    type: string
                    description: Employer name
                    example: ACME INC.
                  address:
                    type: string
                    description: Employer address
                    example: 123 Main St, Anytown, USA 12345
                required:
                  - ein
                  - name
                  - address
            required:
              - type
              - year
              - employer
          example:
            - type: WAID
              year: '2023'
              employer:
                ein: XXXXX2003
                name: CHAR
                address: 609 WA
    IRSOnlineAccountDetails:
      type: object
      properties:
        address:
          type: object
          properties:
            street_address:
              type: string
              example: 123 Main St
            city:
              type: string
              example: San Francisco
            state:
              type: string
              example: CA
            zip_code:
              type: string
              example: '94101'
        balance_summary:
          type: object
          properties:
            balance_due:
              type: number
              example: 5000
            tax_years:
              type: array
              items:
                type: object
                properties:
                  amount:
                    type: number
                    example: 2500
                  year:
                    type: string
                    example: '2023'
              required:
                - amount
                - year
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.

````